CREATE TABLE ase_ad_configuration_b (
    ID                          NUMBER(18, 0)     PRIMARY KEY,
    IS_ENABLED                  VARCHAR2(4)       NOT NULL,
    SOURCE_OF_TRUTH             VARCHAR2(120)     NOT NULL,
    CLIENT_INSTALLATION_PATH    VARCHAR2(1020),
    SYNC_INTERVAL               NUMBER(18, 0)     NOT NULL,
    SYNC_PAGING_SIZE            NUMBER(18, 0)     NOT NULL,
    SYNC_ERROR_THRESHOLD        NUMBER(18, 0)     NOT NULL,
    SCHEDULER                   VARCHAR2(4)       NOT NULL,
    ROLE_INTEGRATION            VARCHAR2(4)       NOT NULL,
    SYNC_STRATEGY               VARCHAR2(120) ,
    SYNC_USER_ACTIVE_STATUS     VARCHAR2(4)       NOT NULL,
    LOG_FILE_NAME               VARCHAR2(1024)    NOT NULL,
    LOG_LEVEL                   VARCHAR2(128)     NOT NULL,
    MAX_LOG_SIZE                NUMBER(9, 0)      NOT NULL,
    ENABLE_AD_SSL               VARCHAR2(4)       NOT NULL,
    ACTIVE_DIRECTORY_URL        VARCHAR2(2048),
    ENABLE_PROXY_SETTINGS       VARCHAR2(4)       NOT NULL,
    ENABLE_PROXY_SSL            VARCHAR2(4)       NOT NULL,
    PROXY_URL                   VARCHAR2(2048),
    CONFIGURATION_URL           VARCHAR2(2048),
    DISCOVERY_URL               VARCHAR2(2048),
    FA_RUNTIME_URL              VARCHAR2(2048),
    FA_UI_URL                   VARCHAR2(2048),
    NOTIFICATION_URL            VARCHAR2(2048),
    JNLP_LAST_MODIFIED_DATE     TIMESTAMP(6)      NOT NULL,
    DIRTY_MODIFICATION_DATE     TIMESTAMP(6)  ,
    ON_DEMAND_FULL_SYNC_REQ     VARCHAR2(4)       NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE            VARCHAR2(2048),
    ORA_SEED_SET1               VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2               VARCHAR2(4)       NOT NULL
);
